JHSecondaryViewer
Keywords: com.sun.java.help.impl.JHSecondaryViewer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.java.help.impl
Class JHSecondaryViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.AbstractButton
                      javax.swing.JButton
                          com.sun.java.help.impl.JHSecondaryViewer

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.ItemSelectable, java.awt.MenuContainer, java.io.Serializable, javax.swing.SwingConstants, ViewAwareComponent

public class JHSecondaryViewer
extends javax.swing.JButton
implements java.awt.event.ActionListener, ViewAwareComponent

This class is a secondary viewer to be included in HTML content within JHContentViewer. The ViewerType can either be a SecondaryWindow or a Popup. Activation is done be either a Button or a mouse enabled Label. Both Button and Label support Text, Icon, or Text and Icon.

To use this class within HTML content use the <object> tag. Below is an example usage:

     <object CLASSID="java:com.sun.java.help.impl.JHSecondaryViewer">
     <param name="content" value="secondary_contents.html">
     <param name="viewerActivator" value="javax.help.LinkLabel">
     <param name="viewerStyle" value="javax.help.Popup">
     <param name="viewerSize" value="300,400">
     <param name="text" value="Click here">
     <param name="textFontFamily" value="SansSerif">
     <param name="textFontSize" value="x-large">
     <param name="textFontWeight" value="plain">
     <param name="textFontStyle" value="italic">
     <param name="textColor" value="red">
     </object>

Valid parameters are:

- content - a valid url, can be relative to the current viewer

  See Also:
    ``
- id - a valid id from the current HelpSet, ``
- viewerName - the name of the SecondaryWindow to display the content in, ``
- viewerActivator - the activator type for the viewer. Either "javax.help.LinkButton" or "javax.help.LinkLabel", ``
- viewerStyle - the style of the viewer. Either "SecondaryWindow" or "Popup", ``
- viewerLocation - the x,y coordinates applied to a secondary window., ``
- viewerSize - the width, height applied to a viewer., ``
- iconByName - the url or id of a icon to be displayed in the activator. The url is relative to the base address of the document, ``
- text - the text of the activator, ``
- textFontFamily - the font family of the activator text, ``
- textFontSize - the size of the activator text font. Size is specified in a css termonolgy. See the setTextFontSize for acceptable syntax, ``
- textFontWeight - the activator text font weight, ``
- textFontStyle - the activator text font style, ``
- textColor - the activator text color, `
  `, `JHSecondaryWindowBeanInfo`, Serialized Form

  Nested Class Summary

  Nested classes inherited from class javax.swing.JComponent
  `javax.swing.JComponent.AccessibleJComponent`

  Field Summary
  `static java.lang.String` | `LINK_BUTTON`
  `static java.lang.String` | `LINK_LABEL`
  `static java.lang.String` | `POPUP`
  `static java.lang.String` | `SECONDARY_WINDOW`

  Fields inherited from class javax.swing.AbstractButton
  `BORDER_PAINTED_CHANGED_PROPERTY, CONTENT_AREA_FILLED_CHANGED_PROPERTY, DISABLED_ICON_CHANGED_PROPERTY, DISABLED_SELECTED_ICON_CHANGED_PROPERTY, FOCUS_PAINTED_CHANGED_PROPERTY, HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY, HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY, ICON_CHANGED_PROPERTY, MARGIN_CHANGED_PROPERTY, MNEMONIC_CHANGED_PROPERTY, MODEL_CHANGED_PROPERTY, PRESSED_ICON_CHANGED_PROPERTY, ROLLOVER_ENABLED_CHANGED_PROPERTY, ROLLOVER_ICON_CHANGED_PROPERTY, ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY, SELECTED_ICON_CHANGED_PROPERTY, TEXT_CHANGED_PROPERTY, VERTICAL_ALIGNMENT_CHANGED_PROPERTY, VERTICAL_TEXT_POSITION_CHANGED_PROPERTY`

  Fields inherited from class javax.swing.JComponent
  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  Fields inherited from class java.awt.Component
  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  Fields inherited from interface javax.swing.SwingConstants
  `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  Fields inherited from interface java.awt.image.ImageObserver
  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  Constructor Summary
  `JHSecondaryViewer()` Create a secondaryviewer.

  Method Summary
  `void` | `actionPerformed(java.awt.event.ActionEvent e)` Displays the viewer according to the viewerType
  `java.lang.String` | `getContent()` Returns the content of the secondary viewer
  `java.lang.String` | `getId()` Returns the ID of the secondary viewer
  `java.lang.String` | `getTextColor()` Returns the text Color of the activator text
  `java.lang.String` | `getTextFontFamily()` Returns the text Font family name of the activator text
  `java.lang.String` | `getTextFontSize()` Returns the text Font family name of the activator text
  `java.lang.String` | `getTextFontStyle()` Returns the text Font style of the activator text
  `java.lang.String` | `getTextFontWeight()` Returns the text Font weight of the activator text
  `java.lang.String` | `getViewerActivator()` Returns the viewer activator
  `java.lang.String` | `getViewerLocation()` Returns the viewer Location.
  `java.lang.String` | `getViewerName()` Returns the viewer name
  `java.lang.String` | `getViewerSize()` Returns the viewer's Size.
  `java.lang.String` | `getViewerStyle()` Returns the current ViewerStyle
  `void` | `setContent(java.lang.String content)` Set the content for the secondary viewer
  `void` | `setIconByID(java.lang.String name)` Sets the icon in the activator by id.
  `void` | `setIconByName(java.lang.String name)` Sets the icon in the activator by url or id.
  `void` | `setId(java.lang.String id)` Set the ID for content in the secondary viewer
  `void` | `setTextColor(java.lang.String name)` Sets the text Color for the activator text.
  `void` | `setTextFontFamily(java.lang.String family)` Sets the text Font family for the activator text.
  `void` | `setTextFontSize(java.lang.String size)` Sets the text size for the activator text.
  `void` | `setTextFontStyle(java.lang.String style)` Sets the text Font Style for the activator text.
  `void` | `setTextFontWeight(java.lang.String weight)` Sets the text Font Weigth for the activator text.
  `void` | `setViewData(javax.swing.text.View v)` Sets data optained from the View
  `void` | `setViewerActivator(java.lang.String activator)` Sets the viewer activator.
  `void` | `setViewerLocation(java.lang.String location)` Sets the viewer's location to display the content in.
  `void` | `setViewerName(java.lang.String name)` Sets the viewer name to display the content in.
  `void` | `setViewerSize(java.lang.String size)` Sets the viewer's size to display the content in.
  `void` | `setViewerStyle(java.lang.String style)` Sets the viewer style.

  Methods inherited from class javax.swing.JButton
  `getAccessibleContext, getUIClassID, isDefaultButton, isDefaultCapable, removeNotify, setDefaultCapable, updateUI`

  Methods inherited from class javax.swing.AbstractButton
  `addActionListener, addChangeListener, addItemListener, doClick, doClick, getAction, getActionCommand, getActionListeners, getChangeListeners, getDisabledIcon, getDisabledSelectedIcon, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getItemListeners, getLabel, getMargin, getMnemonic, getModel, getMultiClickThreshhold, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getSelectedObjects, getText, getUI, getVerticalAlignment, getVerticalTextPosition, imageUpdate, isBorderPainted, isContentAreaFilled, isFocusPainted, isRolloverEnabled, isSelected, removeActionListener, removeChangeListener, removeItemListener, setAction, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setDisplayedMnemonicIndex, setEnabled, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabel, setMargin, setMnemonic, setMnemonic, setModel, setMultiClickThreshhold, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setUI, setVerticalAlignment, setVerticalTextPosition`

  Methods inherited from class javax.swing.JComponent
  `addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  Methods inherited from class java.awt.Container
  `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

  Methods inherited from class java.awt.Component
  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### POPUP

      public static java.lang.String POPUP

  ### SECONDARY_WINDOW

      public static java.lang.String SECONDARY_WINDOW

  ### LINK_BUTTON

      public static java.lang.String LINK_BUTTON

  ### LINK_LABEL

      public static java.lang.String LINK_LABEL

  Constructor Detail

  ### JHSecondaryViewer

      public JHSecondaryViewer()

    Create a secondaryviewer. By default the viewer creates a button with the text of ">"

  Method Detail

  ### setViewData

      public void setViewData(javax.swing.text.View v)

    Sets data optained from the View

    Specified by:
      `setViewData` in interface `ViewAwareComponent`

  ### setContent

      public void setContent(java.lang.String content)

    Set the content for the secondary viewer

    Parameters:
      `content` - a valid URL

  ### getContent

      public java.lang.String getContent()

    Returns the content of the secondary viewer

  ### setId

      public void setId(java.lang.String id)

    Set the ID for content in the secondary viewer

  ### getId

      public java.lang.String getId()

    Returns the ID of the secondary viewer

  ### setViewerName

      public void setViewerName(java.lang.String name)

    Sets the viewer name to display the content in. Viewer is only valid for ViewerStyle "SecondaryWindow"

  ### getViewerName

      public java.lang.String getViewerName()

    Returns the viewer name

  ### setViewerActivator

      public void setViewerActivator(java.lang.String activator)

    Sets the viewer activator. Valid activators are
    - javax.help.LinkButton
    - javax.help.LinkLabel
    The new activatory type will be used the next time a view is displayed.

  ### getViewerActivator

      public java.lang.String getViewerActivator()

    Returns the viewer activator

  ### setViewerStyle

      public void setViewerStyle(java.lang.String style)

    Sets the viewer style. There are two valid viewer styles:
    - javax.help.SecondaryWindow
    - javax.help.Popup

      Viewer style is updated the next time the viewer is made visible

    Parameters:
      `style` - a valid ViewerStyle

  ### getViewerStyle

      public java.lang.String getViewerStyle()

    Returns the current ViewerStyle

  ### setViewerLocation

      public void setViewerLocation(java.lang.String location)

    Sets the viewer's location to display the content in. Location is relative to the screen or a modal dialog box The String must be in the form of "x,y". If no viewer location is established the default is 0,0 for secondary windows. Location is ignored for popups.

    See Also:
      `getViewerLocation`

  ### getViewerLocation

      public java.lang.String getViewerLocation()

    Returns the viewer Location. Location is relative to the screen or a modal dialog box. The form of the location is "x,y". The default location is 0,0.

    See Also:
      `setViewerLocation`

  ### setViewerSize

      public void setViewerSize(java.lang.String size)

    Sets the viewer's size to display the content in. The String must be in the form of "width,heigt". If no size is set the default is 200,200.

    See Also:
      `getViewerSize`

  ### getViewerSize

      public java.lang.String getViewerSize()

    Returns the viewer's Size. The form of the size is "width,height".

    See Also:
      `setViewerSize`

  ### setIconByName

      public void setIconByName(java.lang.String name)

    Sets the icon in the activator by url or id. The url is relative to the base address of the document.

    See Also:
      `getIcon`

  ### setIconByID

      public void setIconByID(java.lang.String name)

    Sets the icon in the activator by id.

    See Also:
      `getIcon`

  ### setTextFontFamily

      public void setTextFontFamily(java.lang.String family)

    Sets the text Font family for the activator text. For JDK 1.1 this must a family name of Dialog, DialogInput, Monospaced, Serif, SansSerif, or Symbol.

  ### getTextFontFamily

      public java.lang.String getTextFontFamily()

    Returns the text Font family name of the activator text

  ### setTextFontSize

      public void setTextFontSize(java.lang.String size)

    Sets the text size for the activator text. The String size is a valid Cascading Style Sheet value for text size. Acceptable values are as follows:
    - xx-small
    - x-small
    - small
    - medium
    - large
    - x-large
    - xx-large
    - bigger - increase the current base font size by 1
    - smaller - decrease the current base font size by 1
    - xxpt - set the font size to a specific pt value of "xx"
    - +x - increase the current base font size by a value of "x"
    - -x - decrease the current base font size by a value of "x"
    - x - set the font size to the point size associated with the index "x"

  ### getTextFontSize

      public java.lang.String getTextFontSize()

    Returns the text Font family name of the activator text

  ### setTextFontWeight

      public void setTextFontWeight(java.lang.String weight)

    Sets the text Font Weigth for the activator text. Valid weights are
    - plain
    - bold

  ### getTextFontWeight

      public java.lang.String getTextFontWeight()

    Returns the text Font weight of the activator text

  ### setTextFontStyle

      public void setTextFontStyle(java.lang.String style)

    Sets the text Font Style for the activator text. Valid font styles are
    - plain
    - italic

  ### getTextFontStyle

      public java.lang.String getTextFontStyle()

    Returns the text Font style of the activator text

  ### setTextColor

      public void setTextColor(java.lang.String name)

    Sets the text Color for the activator text. The following is a list of supported Color names
    - black
    - blue
    - cyan
    - darkGray
    - gray
    - green
    - lightGray
    - magenta
    - orange
    - pink
    - red
    - white
    - yellow

  ### getTextColor

      public java.lang.String getTextColor()

    Returns the text Color of the activator text

  ### actionPerformed

      public void actionPerformed(java.awt.event.ActionEvent e)

    Displays the viewer according to the viewerType

    Specified by:
      `actionPerformed` in interface `java.awt.event.ActionListener`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD